
//  Elaimia.java  Copyright (c) 2005 Kari Laitinen

//  http://www.naturalprogramming.com

//  2005-10-21   Tiedosto luotu.
//  2005-10-21   Viimeisin muutos.

class  Elain
{
   String  lajin_nimi ;
   String  vatsan_sisalto ;

   public Elain( String  annettu_lajin_nimi ) 
   {
      lajin_nimi      =  annettu_lajin_nimi ;
      vatsan_sisalto  =  "" ;
   }

   public Elain( Elain  toinen_elain )
   {
      lajin_nimi      =  toinen_elain.lajin_nimi ;
      vatsan_sisalto  =  toinen_elain.vatsan_sisalto ;
   }

   public void ruoki( String  ruokaa_talle_elaimelle )
   {
      vatsan_sisalto  =  
          vatsan_sisalto  +  ruokaa_talle_elaimelle  +  ", "  ;
   }

   public void anna_puhua()
   {
      System.out.print( "\n Hei. Mina olen " + lajin_nimi     + "."
                      + "\n Olen syonyt: " + vatsan_sisalto + "\n" ) ;
   }
}

class  Elaimia
{
   public static void main( String[] ei_kaytossa )
   {
      Elain  kissaolio  =  new Elain( "kissa" ) ;
      Elain  koiraolio  =  new Elain( "vegaani koira" ) ;

      kissaolio.ruoki( "kalaa" ) ;
      kissaolio.ruoki( "kalkkunaa" ) ;

      koiraolio.ruoki( "salaattia" ) ;
      koiraolio.ruoki( "perunoita" ) ;

      Elain  toinen_kissa  =  new Elain( kissaolio ) ;

      toinen_kissa.ruoki( "maitoa" ) ;

      kissaolio.anna_puhua() ;
      koiraolio.anna_puhua() ;
      toinen_kissa.anna_puhua() ;
   }
}




